Wrong lua version after upgrade

Post Reply
User avatar
McMelloW
Posts: 35
Joined: Monday 20 November 2017 18:01
Target OS: Raspberry Pi
Domoticz version: V3.8795
Location: Harderwijk, NL
Contact:

Wrong lua version after upgrade

Post by McMelloW » Tuesday 09 January 2018 23:01

After install lua 5.3.4 lua-v still shows: Lua 5.1.5 Copyright (C) 1994-2012 Lua.org, PUC-Rio

lua is installed faccording these line

Code: Select all

sudo curl -R -O http://www.lua.org/ftp/lua-5.3.4.tar.gz
sudo tar zxf lua-5.3.4.tar.gz
cd lua-5.3.4
sudo make linux test
How can I tell the system lua is at 5.3.4?
Greetings McMelloW

SweetPants
Posts: 1751
Joined: Friday 12 July 2013 21:24
Target OS: Linux
Domoticz version: V3.8833
Location: The Netherlands
Contact:

Re: Wrong lua version after upgrade

Post by SweetPants » Wednesday 10 January 2018 19:01

Have you tried sudo make install or sudo make linux install?
Ubuntu 16.04.3 LTS on Intel NUC, MySensors 2.2.0, Pro Mini 3.3 8M with RFM69, ESP8266 (SDK2.1.0), Sonoff, RFLink, RFXcom, MQTT, NodeRed

User avatar
McMelloW
Posts: 35
Joined: Monday 20 November 2017 18:01
Target OS: Raspberry Pi
Domoticz version: V3.8795
Location: Harderwijk, NL
Contact:

Re: Wrong lua version after upgrade

Post by McMelloW » Wednesday 10 January 2018 20:53

SweetPants wrote:
Wednesday 10 January 2018 19:01
Have you tried sudo make install or sudo make linux install?
sudo make linux install
Greetings McMelloW

User avatar
Siewert308SW
Posts: 564
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Wrong lua version after upgrade

Post by Siewert308SW » Friday 12 January 2018 0:56

That doesn't work as far as i know.
Lua is integrated in Domoticz it self and installing/compiling it your self doesn't work.
The only way to get it updated is to build Domoticz from source with the updated LUA source.
Been there 2 years ago but as we speak i'm running and testing LUA 5.3.4
Compiled it into Domoticz this afternoon and runs fine sofar.

I know Gizmocuz tried to update LUA somewhere February 2016.
But something wasn't right and he reverted back to 5.2.
For now i run 5.3.4 and if i don't encounter any issue i can try to make a pull request and get in the latest beta.
Setup:
- RPi3 - PIco hv3.0A Plus / Domoticz Beta Custom 3.8XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco hv3.0A Plus / PiHole / Youless Elec/Gas
- FI9803P Cams
- KD101 detectors
- KaKu/z-wave stuff

Domoticz scripts: @ GitHub
pico_installer: @ GitHub

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests